#
# spec file for package gap-liepring
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-liepring
Version:        2.9.1
Release:        1.2
Summary:        GAP: Database and algorithms for Lie p-rings
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/liepring/
#Git-Clone:     https://github.com/gap-packages/liepring
Source:         https://github.com/gap-packages/liepring/releases/download/v%version/liepring-%version.tar.gz
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.8
Requires:       gap-liering >= 2.1
Suggests:       gap-singular >= 10

%description
LiePRing is a GAP4 package for access to the nilpotent Lie rings of
order p^n for p>2 and n<=7.

%prep
%autosetup -n liepring-%version

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files

%changelog
* Wed Sep 11 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.9.1
  * Ensure unit polynomials have lead coeff 1
* Wed May  8 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.9
  * Make gap-liepring independent of gap-singular
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.8
  * Added new library of lie-p-rings of dim 7 & 8 and maximal class
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.9.2
  * No changelog was provided
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 1.8
  * No changelog was provided again
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 1.6
  * No changelog was provided
* Fri Apr 18 2014 jengelh@inai.de
- Initial package (version 1.5) for build.opensuse.org
